/// <reference path="../../../../src/@types/@kano/kwc-blockly/blockly.d.ts" />
import Editor from '../editor/editor.js';
import { IEditorWidget } from '../editor/widget/widget.js';
export interface IBannerData {
    text: string;
    nextButton: boolean;
}
export declare class BlocklyEditorBannerWidget implements IEditorWidget {
    private domNode?;
    getDomNode(): HTMLElement;
    getPosition(): null;
    getWorkspace(editor: Editor): import("@kano/kwc-blockly/blockly.js").Workspace<import("@kano/kwc-blockly/blockly.js").Block>;
    layout(editor: Editor): void;
    dispose(): void;
}
